# Uses of Interface
org.apache.qpid.proton.engine.Session

Packages that use Session
Package
Description
org.apache.qpid.proton.engine
org.apache.qpid.proton.engine.impl

## Uses of Session in org.apache.qpid.proton.engine

Subinterfaces of Session in org.apache.qpid.proton.engine
Modifier and Type
Interface
Description
`interface`
`ProtonJSession`
Extends `Session` with functionality that is specific to proton-j
Methods in org.apache.qpid.proton.engine that return Session
Modifier and Type
Method
Description
`Session`
Event.`getSession()`
`Session`
Link.`getSession()`
`Session`
Session.`next(EnumSet<EndpointState> local, EnumSet<EndpointState> remote)`
`Session`
Connection.`session()`
Returns a newly created session TODO does the Connection's channel-max property limit how many sessions can be created, or opened, or neither?
`Session`
Connection.`sessionHead(EnumSet<EndpointState> local, EnumSet<EndpointState> remote)`
Returns the head of the list of sessions in the specified states.

## Uses of Session in org.apache.qpid.proton.engine.impl

Classes in org.apache.qpid.proton.engine.impl that implement Session
Modifier and Type
Class
Description
`class`
`SessionImpl`
Methods in org.apache.qpid.proton.engine.impl that return Session
Modifier and Type
Method
Description
`Session`
SessionImpl.`next(EnumSet<EndpointState> local, EnumSet<EndpointState> remote)`
`Session`
ConnectionImpl.`sessionHead(EnumSet<EndpointState> local, EnumSet<EndpointState> remote)`